let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/a9i0a06gcs8w9fj9nghsl0b6vvqpzpi4-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/dm20hrdk6s4jzfmk1197p2nya0p8fy3a-coreutils-8.29/bin";
  bzip2 = "/nix/store/5rd9qb6jkzkgd18dm1b379m8439cszac-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/zrzqgdm6jxihsban195vrlcskmx9m4zc-gzip-1.9/bin/gzip";
  xz = "/nix/store/bgv7sypfxl64bdy76l055nghmds8ndgl-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/z5r5s8ccp7hlxkmaijhdikppcawa6d0p-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/dm20hrdk6s4jzfmk1197p2nya0p8fy3a-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/5hdmx9yk7gr71b98j4vh9271k0zg5jis-nix-2.2.1/bin";
  nixPrefix = "/nix/store/5hdmx9yk7gr71b98j4vh9271k0zg5jis-nix-2.2.1";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/5hdmx9yk7gr71b98j4vh9271k0zg5jis-nix-2.2.1/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
